#
# spec file for package perl-Test-File-ShareDir
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-File-ShareDir
Version:        1.001002
Release:        1.26
%define cpan_name Test-File-ShareDir
Summary:        Create a Fake ShareDir for your modules for testing
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-File-ShareDir/
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Tiny)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(Path::Tiny) >= 0.018
BuildRequires:  perl(Scope::Guard)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
Requires:       perl(Class::Tiny)
Requires:       perl(File::Copy::Recursive)
Requires:       perl(File::ShareDir) >= 1.00
Requires:       perl(Path::Tiny) >= 0.018
Requires:       perl(Scope::Guard)
Requires:       perl(parent)
%{perl_requires}

%description
'Test::File::ShareDir' is some low level plumbing to enable a distribution
to perform tests while consuming its own 'share' directories in a manner
similar to how they will be once installed.

This allows 'File::ShareDir' to see the _latest_ version of content instead
of simply whatever is installed on whichever target system you happen to be
testing on.

*Note:* This module only has support for creating 'new' style share dirs
and are NOT compatible with old File::ShareDirs.

For this reason, unless you have File::ShareDir 1.00 or later installed,
this module will not be usable by you.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Fri Mar  3 2017 coolo@suse.com
- updated to 1.001002
  see /usr/share/doc/packages/perl-Test-File-ShareDir/Changes
  1.001002 2017-03-01T11:17:51Z 44658a2
  [Dependencies::Stats]
  - Dependencies changed since 1.001001, see misc/*.deps* for details
  - develop: +3 ↑4 (suggests: ↑2)
  [Testfix]
  - Update tooling to aovid .-in-@INC issues
  - Closes https://github.com/kentnl/Test-File-ShareDir/issues/3
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.001001
  see /usr/share/doc/packages/perl-Test-File-ShareDir/Changes
  1.001001 2015-03-01T05:44:37Z a89c745
  [TestFixes]
  - Try to guard against accidentally failing if a test distdir does in fact exist in the "Expect not to exist" test.
  1.001000 2015-02-28T11:09:38Z d703dd2
  [Dependencies::Stats]
  - Dependencies changed since 1.000005, see misc/*.deps* for details
  - configure: +1 (recommends: -1, suggests: +1)
  - develop: +10 ↑3 -2 (suggests: +1 ↑2)
  - runtime: +3 (suggests: +1)
  - test: +1 (recommends: -2, suggests: +2)
  [Deprecations]
  - OO interfaces have a ->add_to_inc method which is being replaced with the more generic ->register, which wil retain
    meaning when the interface no longer actually uses @INC
  [Features]
  - OO interfaces now all have a ->register and a ->clear method.
  - Now supports exporting with_dist_dir and with_module_dir functions from Test::File::ShareDir
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.000005
  [00 Trivial]
  - CPANDAY!
  - no code changes.
  - tests augmented.
  - whitespace greatly reduced.
  [Dependencies::Stats]
  - Dependencies changed since 1.000004, see misc/*.deps* for details
  - configure: ↓1
  - develop: +1 (suggests: ↑1)
  - test: -4 (recommends: ↑1 -2)
  [Misc]
  - Improve source side POD to reduce build side whitespace.
  [Tests]
  - update Test::ReportPrereqs
  1.000004 2014-07-22T19:29:27Z
  [Doc Bugfix]
  - Previous releases changelog was misleading.
  - We're requiring a newer Path::Tiny to avoid a problem. ( As opposed to the impression that a newer Path::Tiny caused
    the problem, grammar-- )
  1.000003 2014-07-22T19:02:06Z
  [Bugfix]
  - Attempt to avoid tempdir(CLEANUP => 1) being an error by requiring newer Path::Tiny
  [Dependencies::Stats]
  - Dependencies changed since 1.000002, see misc/*.deps* for details
  - runtime: ↑1
  1.000002 2014-07-18T16:33:36Z
  [00 Trivial]
  - Minor packaging cleanups shaving ~7k
  [Dependencies::Stats]
  - Dependencies changed since 1.000001, see misc/*.deps* for details
  - develop: (suggests: ↑2)
  - test: +2 ↑1 (recommends: +1)
* Wed Jun 11 2014 stephan.barth@suse.com
- Fixed summary which ended with a dot
- make check now BuildRequires perl(Class::Tiny)
- The new version uses GNU make so %%build, %%check and %%install were adjusted
- upgrade to version 1.000001 from 0.3.3
  Noteworthy changes from upstream:
  1.000001 2014-06-07T15:14:38Z
  [Dependencies::Stats]
  - Dependencies changed since 1.000000, see misc/*.deps* for details
  1.000000 2014-01-30T15:23:48Z
  [00 Tooling and Version replacement]
  - Switched to EUMM to accelerate clean-install time.
  - version schema moved from x.y.z to x.YYYzzz and is the primary reason for
    incrementing the major
  [Dependencies::Stats]
  - Dependencies changed since 0.4.1, see misc/*.deps* for details
  0.4.1 2013-11-21T06:51:24Z
  [00 Trivial Doc Fix]
  - Escaping of code containing > was done wrong.
  0.4.0 2013-11-21T06:38:44Z
  [00 Major Changes]
  - New Modules/Interfaces to make life easier for people who only need one of
    (Dist|Module) shares.
  [Dependencies::Noteworthy]
  - use Class::Tiny
  - use new MB and TestMore
  [Dependencies::Stats]
  - Dependencies changed since 0.3.3, see misc/*.deps* for details
  [Documentation]
  - Encoding specified
  - MetaPOD annotations added
  [Packaging]
  - use new MB syntax for fallback
  [Tests]
  - use Test::Compile::PerFile
  - Regenerate ReportVersions::Tiny to not report develop deps.
  - Regenerate CPAN::Changes test
  - Regenerate Kwalitee test
* Thu Aug  1 2013 coolo@suse.com
- initial package 0.3.3
  * created by cpanspec 1.78.07
